_SETTINGS:SetPlayerMenuOff()

local pedroLincoln=RESCUEHELO:New("USS Abraham Lincoln", "Pedro Lincoln")
pedroLincoln:SetHomeBase(AIRBASE:FindByName("USS Viksburg"))
pedroLincoln:SetModex(61)
pedroLincoln:__Start(1)
  
local airbossLincoln=AIRBOSS:New("USS Abraham Lincoln")
airbossLincoln:SetSoundfilesFolder("Airboss Soundfiles/")
airbossLincoln:SetDespawnOnEngineShutdown()
airbossLincoln:SetMaxFlightsPerStack(1)
airbossLincoln:SetMaxMarshalStacks(20)
airbossLincoln:SetMaxSectionSize(4)
airbossLincoln:SetLSORadio(340.200)
airbossLincoln:SetMarshalRadio(327.200)
airbossLincoln:SetICLS(12)
airbossLincoln:SetTACAN(72,"X","LCN")
airbossLincoln:SetHandleAIOFF()
airbossLincoln:SetDefaultPlayerSkill(AIRBOSS.Difficulty.EASY)
airbossLincoln:SetAirbossNiceGuy(true)
airbossLincoln:SetEmergencyLandings(true)
airbossLincoln:SetPatrolAdInfinitum(true)
airbossLincoln:SetCarrierControlledArea(30)
airbossLincoln:SetMenuRecovery(300, 25, true, 0)
airbossLincoln:SetRadioRelayLSO("Relay Lincoln")
airbossLincoln:SetHoldingOffsetAngle(0)
airbossLincoln:Start()

function pedroLincoln:OnAfterStart(From,Event,To)
  airbossLincoln:SetRadioRelayMarshal(self:GetUnitName())
end